// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

import java.util.List;

import static cz.senslog.connector.tools.json.BasicJson.objectToJson;

public class MultiCollarMeasurements extends MultiMeasurement {

    private List<CollarMeasurement> collars;
    private int sequenceNumber;

    public MultiCollarMeasurements() {
        super(MeasurementType.COLLAR);
    }

    public List<CollarMeasurement> getCollars() {
        return collars;
    }

    public void setCollars(List<CollarMeasurement> collars) {
        this.collars = collars;
    }

    public int getSequenceNumber() {
        return sequenceNumber;
    }

    public void setSequenceNumber(int sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    @Override
    public String toJson() {
        return objectToJson(this);
    }
}
